package com.bcxin.risk.report.enums;

public enum ReportStatus {
	
	PRE {public String getValue(){return "0";} public String getName(){return "待支付";}},
	
	EFFECT {public String getValue(){return "1";} public String getName(){return "有效";}},

	NOEFFECT {public String getValue(){return "2";} public String getName(){return "失效";}};

    public abstract String getValue();
    
    public abstract String getName();


    public static ReportStatus convert_value(String value){
    	if ( "0".equals(value) ) {
    		return ReportStatus.PRE;
    	} else if ("1".equals(value)) {
    		return ReportStatus.EFFECT;
    	}  else if ("2".equals(value)) {
    		return ReportStatus.NOEFFECT;
    	} 
    	
    	return null;
    }

}
